---
inputType: "CA10__CaAwsAcmCertificate__c"
testData:
  - file: test-data.json
importExtracts:
  - file: /types/CA10__CaAwsAcmCertificate__c/object.extracts.yaml
conditions:
  - status: "INAPPLICABLE"
    currentStateMessage: "The certificate is not active."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10__status__c"
        right:
          TEXT: "ISSUED"
  - status: "INAPPLICABLE"
    currentStateMessage: "The certificate is eligible for automatic renewal."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10__renewalEligibility__c"
        right:
          TEXT: "INELIGIBLE"
  - status: "INCOMPLIANT"
    currentStateMessage: "The certificate is ineligible for automatic renewal and expires in 7 days or less."
    remediationMessage: "Consider reissuing the expiring certificate."
    check:
      IS_WITHIN_NEXT_DAYS:
        offsetDays: 7
        arg:
          EXTRACT: CA10__notAfter__c
otherwise:
  status: "COMPLIANT"
  currentStateMessage: "The certificate is not expiring."
